Subject: [Bier] Initial Shepherd's comment regarding draft-ietf-bier-ping

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Sat, 27 Oct 2018 23:34:53 +0000

Hi Authors,
This document is generally in good shape. Have few comments as part of initial shepherd review.

3.1. BIER OAM message format
Proto This field is used to define if there is any data packet immediately following the OAM payload which is used for passive Kumar, et al. Expires April 24, 2019 [Page 4] Internet-Draft BIER Ping October 2018 OAM functionality. This field is set to 0 if there is no data packet following OAM payload.

Comment: Are we expecting to have different value for proto field in future ?   Can you please add some more detail here ?

QTF Querier Timestamp Format. When set to 2, the Timestamp Sent field is (in seconds and microseconds, according to the Initiator’s clock) in NTP format [RFC5905]. When set to 3, the timestamp format is in IEEE 1588-2008 (1588v2) Precision Time Protocol format. Any other value SHOULD be considered as sanity check

Comment: In future, do we expect some other values here ?  are we registering this field also with IANA ?

Return subcode To Be updated.

Comment: Can you please update the document ?

3.2. Return Code
10 DDMAP Mismatch

Comment:

  1.  Can you please add detail about what is this Return code ?
  2.  If TTL expires, what would be return code used by intermediate node ?

When I flag is set, the Responding BFR SHOULD include the Incoming SI-BitString TLV in Echo Reply message.
Comment :  I think MUST would be more appropriate instead of SHOULD here ?

3.3.4.1.1. Multipath Entropy Data
Comment: Here M flag is using left most bit where as I was in previous section using right most bit of flag.  Should it also not be right most bit ?

4. Procedures This section describes aspects of Ping and traceroute operations. While this document explains the behavior when Reply mode is "Reply via BIER packet", the future version will be updated with details about the format when the reply mode is "Reply via IP/UDP packet".
Comment: Does it mean, new document in future ? or this document is going to get updated more ?

[RFC8296] proposes the BIER header with Entropy field that can be leveraged to exercise all ECMP paths. The Initiator/BFIR will use traceroute message to query each hop about the Entropy information for each downstream paths. To avoid complexity, it is suggested that the ECMP query is performed per BFER by carrying required information in BIER OAM message.

Comment: Is this document not talking only about Ping ? I see some mention of Traceroute in document.  If traceroute procedure is also expected to be in this document, can we add some moreo detail about procedure ?

4.4. Receiving BIER Echo Request Sending a BIER OAM Echo Request to control plane for payload processing is triggered as mentioned in section 4.1. Any BFR on receiving Echo Request MUST send Echo Reply with Return Code set to "Malformed Echo Request received", if the packet fails sanity check. If the packet sanity check is fine, it SHOULD initiate the below set of variables:
Comment: Can you please add detail about what sanity check we are talking here ?

4.5. Sending Echo Reply If Reply-Flag=0; BFR MUST release the variables and MUST not send any response to the Initiator. If Reply-Flag=1, proceed as below:
Comment: You might want to consider to have subsection of each reply-flag.

Thanks
Mankamana